Skip to navigation

Create Widget URL

View as Markdown

This API creates a widgetUrl to securely store widget query parameters and authentication context. This facilitates secure widget interactions by encapsulating info in a sessionId, reducing exposure in client-side requests.

Use the returned widgetUrl to load the Transak Widget. This URL expires 5 minutes after creation.

Important:

  • Each sessionId is single-use.

  • The widget cannot be reopened using the same widgetUrl.

  • A new sessionId is required for every new user flow.

Call this API only from the partner backend, with partner IPs whitelisted. Direct frontend calls are not supported.

apiKey and referrerDomain are mandatory query parameters inside the widgetParams object.

Headers

x-user-ipstringRequired

End user's originating IP. More details here

x-api-keystringRequired
Partner API Key present in Transak Dashboard.
access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

authorizationstringOptional
User Authorization Token. Only required in Integrations via User Authentication APIs.

Request

This endpoint expects an object.
widgetParamsobjectRequired

Transak Widget accepts query parameters as a JSON object. Below are some example query parameters. You can refer to the complete list of Transak Query Parameters for more configuration options.

Response

Success
dataobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error